package esercizio2;

public class Libro{
	
	public static enum Genere{NARRATIVA, STORICO, FANTASY};
	
	private int id;
	private String titolo;
	private String autore;
	private Genere genere;
	private int pagine;
	
	private static int totLibri = 0;
	private static double coefficiente = 0.1;
	
	public Libro(String titolo, String autore, Genere genere, int pagine) {
		this.id = totLibri++;
		this.titolo = titolo;
		this.autore = autore;
		this.genere = genere;
		this.pagine = pagine;
	}
	
	public Libro() {
		this("","",Genere.NARRATIVA,0);
	}
	
	public double prezzo(){
		return this.pagine * coefficiente;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getTitolo() {
		return titolo;
	}

	public void setTitolo(String titolo) {
		this.titolo = titolo;
	}

	public String getAutore() {
		return autore;
	}

	public void setAutore(String autore) {
		this.autore = autore;
	}

	public Genere getGenere() {
		return genere;
	}

	public void setGenere(Genere genere) {
		this.genere = genere;
	}

	public int getPagine() {
		return pagine;
	}

	public void setPagine(int pagine) {
		this.pagine = pagine;
	}

	public static int getTotLibri() {
		return totLibri;
	}

	
	public static double getCoefficiente() {
		return coefficiente;
	}

	public static void setCoefficiente(double coefficiente) {
		Libro.coefficiente = coefficiente;
	}
	
}