package esercizio2;

import java.util.*;

public class Libreria{
	
	public static void main(String[] args){

		Libro[] libri = new Libro[100];
		Scanner tastiera = new Scanner(System.in);
		
		int select = -1;
		do{
			do{
				System.out.println("scegliere un'operazione:");
				System.out.println("1 - inserimento libro");
				System.out.println("2 - trova prezzo di un libro");
				System.out.println("3 - modifica moltiplicatore prezzo");
				System.out.println("0 - fine");
				System.out.print("digitare scelta: ");
                select = tastiera.nextInt();
                if(select != 1 && select != 2 && select != 3&& select != 0)
						System.out.println("Valore inserito diverso da 1 2 3 0!");
			}while(select != 1 && select != 2 && select != 3 && select != 0);
			
			switch (select) {
			case 1:
				tastiera.nextLine();
				System.out.println("Inserire titolo: ");
				String titolo = tastiera.nextLine();
				
				
				System.out.println("Inserire autore: ");
				String autore = tastiera.nextLine();
				
				System.out.print("Inserire numero pagine: ");
                int pagine = tastiera.nextInt();
                    
				Libro.Genere genere = Libro.Genere.NARRATIVA;
				boolean genereOk = false;
				
				do{
                    System.out.print("Inserire genere: ");
                    String gen = tastiera.next();
                    gen = gen.toUpperCase();
                    
                    if(!gen.equals("NARRATIVA") && !gen.equals("STORICO") && 
                            !gen.equals("FANTASY")){
                        System.out.println("Generi: NARRATIVA, STORICO, FANTASY");
                    }
                    else{
                        genere = Libro.Genere.valueOf(gen);
                        genereOk = true;
                    }
				}while(!genereOk);
				
				Libro libro = new Libro(titolo, autore, genere, pagine);
				libri[libro.getId()] = libro;
				//NOTA: gli id dei libri sono interi progressivi 0,1,...
				
				break;
			
			case 2:
				tastiera.nextLine();
				System.out.print("Inserire titolo del libro: ");
				String str = tastiera.nextLine();
				boolean stop = false;
				for(int i = 0; i < Libro.getTotLibri() && !stop; i++){
					if(libri[i].getTitolo().equalsIgnoreCase(str)){
						System.out.print("Il prezzo del libro "+libri[i].getTitolo()+ " con [id="+libri[i].getId()+"]");
						System.out.println(" e' "+libri[i].prezzo()+" euro");
						stop = true;
					}
				}
				if(!stop){
					System.out.println("Libro "+ str +" non presente.");
				}
				
				break;
			
			case 3:
				System.out.println("Il coefficiente attuale e': "+Libro.getCoefficiente());
                System.out.print("Inserire il nuovo coefficiente: ");
                Libro.setCoefficiente(tastiera.nextDouble());
				break;
			}
			System.out.println();
			System.out.println("*********************************************");
			System.out.println();
		}while(select != 0);
		
		tastiera.close();
	}
}
